explain_readdir_or_die(3)

NAME
explain_readdir_or_die - read directory entry and report errors
    "read directory entry and report errors"

SYNOPSIS
#include <libexplain/readdir.h>

struct dirent *explain_readdir_or_die(DIR *dir);

DESCRIPTION
The explain_readdir_or_die function is used to call the readdir(2) system call. On failure an explanation will be printed to stderr, obtained from explain_readdir(3), and then the process terminates by calling exit(EXIT_FAILURE).

This function is intended to be used in a fashion similar to the following example:
    explain_readdir_or_die(dir);

dir The dir, exactly as to be passed to the readdir(2) system call.

Returns:
    a pointer to a dirent structure, or NULL if end-of-file is reached. On failure, prints an explanation and exits.

SEE ALSO

readdir(2)
    read directory entry

explain_readdir(3)
    explain readdir(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.4
Copyright (C) 2008 Peter Miller